import { resolve } from 'path'
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  resolve: {
    alias: {
      '/src': resolve(__dirname, './src'),
    },
  },
  base: '/static/',
  server: {
    host: '0.0.0.0',
    port: 8010,
    open: false,
    watch: {
      usePolling: true,
      disableGlobbing: false,
    },
  },
  build: {
    manifest: true,
    emptyOutDir: true,
    rollupOptions: {
      input: {
        main: resolve('./src/main.js'),
      },
      output: {
        chunkFileNames: undefined,
      },
    },
  },
})
